from django.urls import path

from . import views

app_name = "order"
urlpatterns = [
    path("", views.IndexView.as_view(), name="index"),
    path(
        "<int:pk>/", views.GroupedOrderDetailView.as_view(), name="grouped_order_detail"
    ),
    path(
        "<int:pk>/gerer",
        views.GroupedOrderOverview.as_view(),
        name="grouped_order_overview",
    ),
    path("<int:grouped_order_id>/commander/", views.order, name="order"),
    path(
        "<int:grouped_order_id>/<int:pk>/confirmation/",
        views.OrderDetailView.as_view(),
        name="order_confirm",
    ),
    path("creer", views.GroupedOrderCreateView.as_view(), name="create_grouped_order"),
    path(
        "<int:pk>/gerer-produits",
        views.GroupedOrderAddItemsView.as_view(),
        name="manage_items",
    ),
    path(
        "<int:pk>/modifier",
        views.GroupedOrderUpdateView.as_view(),
        name="update_grouped_order",
    ),
    path(
        "<int:pk>/supprimer",
        views.GroupedOrderDeleteView.as_view(),
        name="delete_grouped_order",
    ),
    path(
        "<int:pk>/dupliquer",
        views.GroupedOrderDuplicateView.as_view(),
        name="duplicate_grouped_order",
    ),
    path(
        "<int:pk>/gerer-produits/nouveau",
        views.ItemCreateView.as_view(),
        name="item_create",
    ),
    path(
        "<int:grouped_order_id>/gerer-produits/<int:pk>/supprimer",
        views.ItemDeleteView.as_view(),
        name="item_delete",
    ),
    path(
        "<int:pk>/gerer/imprimer",
        views.GroupedOrderSheetView.as_view(),
        name="grouped_order_sheet",
    ),
    path(
        "<int:grouped_order_id>/gerer/liste-mails",
        views.ExportGroupedOrderEmailAddressesToCSVView.as_view(),
        name="email_list",
    ),
]
